Diff for /wikisrc/pkgsrc/monitoring_package_versions.mdwn between versions 1.1 and 1.2

version 1.1, 2011/11/20 20:28:27 version 1.2, 2012/02/05 07:14:36
Line 1 Line 1
 A good method of knowing when you have out of date packages is to use the utility lintpkgsrc, which can be [[Installing a package with pkgsrc]] installed from pkgtools/lintpkgsrc. Once it is installed use it to check installed packages for newer available versions:  A good method of knowing when you have out of date packages is to use the utility lintpkgsrc, which can be [[Installing a package with pkgsrc]] installed from pkgtools/lintpkgsrc. Once it is installed use it to check installed packages for newer available versions:
   
     lintpkgsrc -i      lintpkgsrc -i
     Scan Makefiles: ................      Scan Makefiles: ................
     Version mismatch: 'dummy' 5.1 vs 5.2      Version mismatch: 'dummy' 5.1 vs 5.2
     Version mismatch: 'other_package' 2.5a vs 2.5b      Version mismatch: 'other_package' 2.5a vs 2.5b
   
 The results are simple: outdated-package-name currently-installed-version -vs- currently-supported-version  The results are simple: outdated-package-name currently-installed-version -vs- currently-supported-version
 See also  See also
   
 [[pkg_chk]]  [[pkg_chk]]
   

Removed from v.1.1  
changed lines
  Added in v.1.2


CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb